
Ceph - Bug #12421

"failed to encode map <nap> with expected crc" when mon on hammer and OSDs on master

07/21/2015 04:41 PM - Mark Nelson

Status: Won't Fix % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source: other Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

A brand new cluster is failing to create initial pools due to map encode failures when the mons are on hammer and OSDs are on

master.  Pool creation never completes with stalled outstanding requests, though no OSDs outright fail.  This appears to happen on

all OSDs.

2015-07-21 11:22:27.902736 7f1037459700 2 osd.0 0 got incremental 1 but failed to encode full with

 correct crc; requesting

 

Can rerun with any desired debugging levels if needed.

History

#1 - 09/14/2015 02:37 PM - Sage Weil

- Status changed from New to Won't Fix

This is normal and expected.
